import request from '@/utils/request'

// 查询分类和定义关系列表
export function listRela(query) {
    return request({
        url: '/metrics/rela/list',
        method: 'get',
        params: query
    })
}

// 查询分类和定义关系详细
export function getRela(relaId) {
    return request({
        url: '/metrics/rela/' + relaId,
        method: 'get'
    })
}

// 新增分类和定义关系
export function addRela(data) {
    return request({
        url: '/metrics/rela',
        method: 'post',
        data: data
    })
}

// 修改分类和定义关系
export function updateRela(data) {
    return request({
        url: '/metrics/rela',
        method: 'put',
        data: data
    })
}

// 删除分类和定义关系
export function delRela(relaId) {
    return request({
        url: '/metrics/rela/' + relaId,
        method: 'delete'
    })
}
